package senac_turma02.stack;

public interface StackImpl<T extends Number> {
	public abstract T pop() throws StackEmptyException;
	public abstract void push(T n) throws StackFullException;
	public abstract T top() throws StackEmptyException;
	public abstract boolean isEmpty();
	public abstract boolean isFull();
}
